> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.payroc.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.payroc.com/_mcp/server.

# Retrieve a device configuration

GET https://api.payroc.com/v1/processing-terminals/{processingTerminalId}/device-configurations/{model}

Use this method to retrieve configuration details for a device associated with a processing terminal.

Our gateway returns the following details about the configuration:

- Supported features
- Applications
- Certificates and revoked certificates
- Visual assets


Reference: https://docs.payroc.com/api/schema/boarding/processing-terminals/retrieve-device-configuration

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Payroc API
  version: 1.0.0
paths:
  /processing-terminals/{processingTerminalId}/device-configurations/{model}:
    get:
      operationId: retrieveDeviceConfiguration
      summary: Retrieve a device configuration
      description: >
        Use this method to retrieve configuration details for a device
        associated with a processing terminal.


        Our gateway returns the following details about the configuration:


        - Supported features

        - Applications

        - Certificates and revoked certificates

        - Visual assets
      tags:
        - processingTerminals
      parameters:
        - name: processingTerminalId
          in: path
          description: Unique identifier that we assigned to the terminal.
          required: true
          schema:
            type: string
        - name: model
          in: path
          description: Type or model of the device.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful request. Returns the device configuration details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/deviceConfiguration'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400'
        '401':
          description: Identity could not be verified
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
        '403':
          description: Do not have permissions to perform this action
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404'
        '406':
          description: Not acceptable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/406'
        '500':
          description: An error has occured
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
servers:
  - url: https://api.payroc.com/v1
    description: Production
  - url: https://api.uat.payroc.com/v1
    description: UAT
components:
  schemas:
    '400':
      type: object
      properties:
        type:
          type: string
          description: URI reference identifying the problem type
        title:
          type: string
          description: Short description of the issue.
        status:
          type: integer
          description: Http status code
        detail:
          type: string
          description: Explanation of the problem
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorsItems'
      required:
        - type
        - title
        - status
        - detail
      title: '400'
    '401':
      type: object
      properties:
        type:
          type: string
          description: URI reference identifying the problem type
        title:
          type: string
          description: Short description of the issue.
        status:
          type: integer
          description: Http status code
        detail:
          type: string
          description: Explanation of the problem
      required:
        - type
        - title
        - status
        - detail
      title: '401'
    '403':
      type: object
      properties:
        type:
          type: string
          description: URI reference identifying the problem type
        title:
          type: string
          description: Short description of the issue.
        status:
          type: integer
          description: Http status code
        detail:
          type: string
          description: Explanation of the problem
        instance:
          type: string
          description: Resource path the action was attempted on
        resource:
          type: string
          description: Resource the action was attempted on
      required:
        - type
        - title
        - status
        - detail
      title: '403'
    '404':
      type: object
      properties:
        type:
          type: string
          description: URI reference identifying the problem type
        title:
          type: string
          description: Short description of the issue.
        status:
          type: integer
          description: Http status code
        detail:
          type: string
          description: Explanation of the problem
        resource:
          type: string
          description: Resource that was not found
      required:
        - type
        - title
        - status
        - detail
      title: '404'
    '406':
      type: object
      properties:
        type:
          type: string
          description: URI reference identifying the problem type
        title:
          type: string
          description: Short description of the issue.
        status:
          type: integer
          description: Http status code
        detail:
          type: string
          description: Explanation of the problem
      required:
        - type
        - title
        - status
        - detail
      title: '406'
    '500':
      type: object
      properties:
        type:
          type: string
          description: URI reference identifying the problem type
        title:
          type: string
          description: Short description of the issue.
        status:
          type: integer
          description: Http status code
        detail:
          type: string
          description: Explanation of the problem
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorsItems'
      required:
        - type
        - title
        - status
        - detail
      title: '500'
    EmvApplicationMatchType:
      type: string
      enum:
        - full
        - partialVisa
        - partialEuropay
      description: >
        Indicates how the terminal matches the EMV application identifier during
        card selection.


        - `full` – The terminal requires an exact match of the full application
        identifier.

        - `partialVisa` – The terminal uses partial matching as defined by Visa.

        - `partialEuropay` – The terminal uses partial matching as defined by
        Europay and Mastercard.
      title: EmvApplicationMatchType
    emvApplication:
      type: object
      properties:
        identifier:
          type: string
          description: >-
            Unique identifier of the EMV application, also known as the
            Application Identifier (AID).
        version:
          type: string
          description: Version number of the EMV application.
        card:
          type: string
          description: Card brand associated with the EMV application.
        matchType:
          $ref: '#/components/schemas/EmvApplicationMatchType'
          description: >
            Indicates how the terminal matches the EMV application identifier
            during card selection.


            - `full` – The terminal requires an exact match of the full
            application identifier.

            - `partialVisa` – The terminal uses partial matching as defined by
            Visa.

            - `partialEuropay` – The terminal uses partial matching as defined
            by Europay and Mastercard.
      title: emvApplication
    emvCertificate:
      type: object
      properties:
        rid:
          type: string
          description: >-
            Unique identifier of the payment application provider, also known as
            the Registered Application Provider Identifier (RID).
        exponent:
          type: string
          description: Public key exponent for the certificate.
        certificate:
          type: string
          description: Certificate data encoded in hexadecimal format.
      title: emvCertificate
    VisualAssetType:
      type: string
      enum:
        - image
      description: Format of the visual asset.
      title: VisualAssetType
    VisualAssetScope:
      type: string
      enum:
        - logo
        - idleScreen
      description: Location of the visual asset.
      title: VisualAssetScope
    visualAsset:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/VisualAssetType'
          description: Format of the visual asset.
        scope:
          $ref: '#/components/schemas/VisualAssetScope'
          description: Location of the visual asset.
        url:
          type: string
          description: URL of the visual asset.
      required:
        - type
        - scope
        - url
      title: visualAsset
    deviceConfiguration:
      type: object
      properties:
        model:
          type: string
          description: Type or model of the device.
        manufacturer:
          type: string
          description: Company that manufactured the device.
        supportsMagStripe:
          type: boolean
          description: Indicates if the device can run swiped transactions.
        supportsIcc:
          type: boolean
          description: Indicates if the device can read chip cards.
        supportsKeyed:
          type: boolean
          description: Indicates if the device can run keyed transactions.
        supportsContactless:
          type: boolean
          description: Indicates if the device can run contactless transactions.
        supportsPinEntry:
          type: boolean
          description: Indicates if the device can accept PIN entry.
        supportsOutputPrinting:
          type: boolean
          description: Indicates if the device can print receipts.
        supportsOutputDisplaying:
          type: boolean
          description: Indicates if the device can display information on a screen.
        supportsAttended:
          type: boolean
          description: Indicates if a clerk must operate the device.
        supportsUnattended:
          type: boolean
          description: Indicates if the device can operate without a clerk present.
        applications:
          type: array
          items:
            $ref: '#/components/schemas/emvApplication'
          description: >-
            Array of emvApplication objects. Each object contains information
            about an EMV application supported by the device.
        certificates:
          type: array
          items:
            $ref: '#/components/schemas/emvCertificate'
          description: >-
            Array of emvCertificate objects. Each object contains information
            about an EMV certificate used by the device.
        revokedCertificates:
          type: array
          items:
            $ref: '#/components/schemas/emvCertificate'
          description: >-
            Array of emvCertificate objects. Each object contains information
            about a revoked EMV certificate.
        visualAssets:
          type: array
          items:
            $ref: '#/components/schemas/visualAsset'
          description: >-
            Array of visualAsset objects. Each object contains information about
            a visual asset that the device displays.
      required:
        - model
      description: Object that contains the configuration of the device type/model.
      title: deviceConfiguration
    ErrorsItems:
      type: object
      properties:
        message:
          type: string
          description: Error message
      title: ErrorsItems
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

```

## Examples



**Response**

```json
{
  "model": "idtechKioskV",
  "manufacturer": "idtech",
  "supportsMagStripe": true,
  "supportsIcc": true,
  "supportsKeyed": false,
  "supportsContactless": true,
  "supportsPinEntry": false,
  "supportsOutputPrinting": false,
  "supportsOutputDisplaying": false,
  "supportsAttended": false,
  "supportsUnattended": true,
  "applications": [
    {
      "identifier": "A0000000031010",
      "version": "0096",
      "card": "VISA",
      "matchType": "partialVisa"
    },
    {
      "identifier": "A0000000041010",
      "version": "0002",
      "card": "MASTERCARD",
      "matchType": "partialEuropay"
    }
  ],
  "certificates": [
    {
      "rid": "A000000003",
      "exponent": "03",
      "certificate": "ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234A"
    }
  ],
  "revokedCertificates": [
    {
      "rid": "A000000004",
      "exponent": "02",
      "certificate": "ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234ABCD1234A"
    }
  ],
  "visualAssets": [
    {
      "type": "image",
      "scope": "logo",
      "url": "https://www.example.com/logo.png"
    },
    {
      "type": "image",
      "scope": "idleScreen",
      "url": "https://www.example.com/idle-screen.png"
    }
  ]
}
```

**SDK Code**

```python Device Configuration
import requests

url = "https://api.payroc.com/v1/processing-terminals/1234001/device-configurations/idtechKioskV"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Device Configuration
const url = 'https://api.payroc.com/v1/processing-terminals/1234001/device-configurations/idtechKioskV';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Device Configuration
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.payroc.com/v1/processing-terminals/1234001/device-configurations/idtechKioskV"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Device Configuration
require 'uri'
require 'net/http'

url = URI("https://api.payroc.com/v1/processing-terminals/1234001/device-configurations/idtechKioskV")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Device Configuration
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.payroc.com/v1/processing-terminals/1234001/device-configurations/idtechKioskV")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Device Configuration
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.payroc.com/v1/processing-terminals/1234001/device-configurations/idtechKioskV', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Device Configuration
using RestSharp;

var client = new RestClient("https://api.payroc.com/v1/processing-terminals/1234001/device-configurations/idtechKioskV");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Device Configuration
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.payroc.com/v1/processing-terminals/1234001/device-configurations/idtechKioskV")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```